VERSION 5.00
Begin VB.Form Form1 
   Caption         =   "Form1"
   ClientHeight    =   4560
   ClientLeft      =   1140
   ClientTop       =   1515
   ClientWidth     =   4470
   LinkTopic       =   "Form1"
   PaletteMode     =   1  'UseZOrder
   ScaleHeight     =   4560
   ScaleWidth      =   4470
   Begin VB.PictureBox Picture1 
      AutoSize        =   -1  'True
      Height          =   3120
      Left            =   960
      Picture         =   "Form1.frx":0000
      ScaleHeight     =   3060
      ScaleWidth      =   3300
      TabIndex        =   5
      Top             =   840
      Width           =   3360
   End
   Begin VB.TextBox txtBookmark 
      Height          =   285
      Left            =   960
      TabIndex        =   4
      Text            =   "Disclaimer"
      Top             =   480
      Width           =   3375
   End
   Begin VB.TextBox txtFilename 
      Height          =   285
      Left            =   960
      TabIndex        =   2
      Top             =   120
      Width           =   3375
   End
   Begin VB.CommandButton Command1 
      Caption         =   "Paste"
      Height          =   375
      Left            =   2280
      TabIndex        =   0
      Top             =   4080
      Width           =   615
   End
   Begin VB.Label Label1 
      Caption         =   "Bookmark"
      Height          =   255
      Index           =   1
      Left            =   120
      TabIndex        =   3
      Top             =   480
      Width           =   735
   End
   Begin VB.Label Label1 
      Caption         =   "File"
      Height          =   255
      Index           =   0
      Left            =   120
      TabIndex        =   1
      Top             =   120
      Width           =   375
   End
End
Attribute VB_Name = "Form1"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

Private WordServer As Word.Application

Private Sub Command1_Click()
Dim file_name As String
Dim file_path As String
Dim file_title As String
Dim txt As String
Dim new_txt As String
Dim pos As Integer

    Screen.MousePointer = vbHourglass
    Command1.Enabled = False
    DoEvents

    ' Open Word.
    file_name = txtFilename.Text
    file_title = Mid$(file_name, InStrRev(file_name, "\") + 1)
    file_path = Left$(file_name, Len(file_name) - Len(file_title))

    ' Uncomment to show Word.
'    WordServer.Visible = True

    WordServer.ChangeFileOpenDirectory file_path
    WordServer.Documents.Open _
        FileName:=file_title, _
        ConfirmConversions:=False, _
        ReadOnly:=False, _
        AddToRecentFiles:=False, _
        PasswordDocument:="", _
        PasswordTemplate:="", _
        Revert:=False, _
        WritePasswordDocument:="", _
        WritePasswordTemplate:="", _
        Format:=wdOpenFormatAuto

    ' Go to the bookmark.
    WordServer.Selection.GoTo _
        What:=wdGoToBookmark, _
        Name:="Disclaimer"
    WordServer.Selection.Find.ClearFormatting
    With WordServer.Selection.Find
        .Text = ""
        .Replacement.Text = ""
        .Forward = True
        .Wrap = wdFindContinue
        .Format = False
        .MatchCase = False
        .MatchWholeWord = False
        .MatchWildcards = False
        .MatchSoundsLike = False
        .MatchAllWordForms = False
    End With

    ' Copy the image to the clipboard.
    Clipboard.Clear
    Clipboard.SetData Picture1.Picture, vbCFBitmap

    ' Paste the image into Word.
    WordServer.Selection.Paste

    ' Comment out to keep Word running.
    WordServer.Quit True
    Set WordServer = Nothing

    Screen.MousePointer = vbDefault
    Command1.Enabled = True
End Sub
Private Sub Form_Load()
Dim file_name As String

    file_name = App.Path
    If Left$(file_name, 1) <> "\" Then file_name = file_name & "\"
    file_name = file_name & "Readme.doc"
    txtFilename.Text = file_name

    On Error GoTo OpenError
    Set WordServer = New Word.Application
    On Error GoTo 0
    Exit Sub

OpenError:
    MsgBox "Error" & Str$(Error.Number) & _
        " opening Word." & vbCrLf & _
        Error.Description
End Sub
Private Sub Form_Unload(Cancel As Integer)
    ' Quit, saving changes.
    If Not (WordServer Is Nothing) Then
        WordServer.Quit True
        Set WordServer = Nothing
    End If
End Sub
